## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hstsparser
Version:        1.2.0
Release:        %autorelease
Summary:        HSTS Digital Forensics parser
License:        MIT
URL:            https://github.com/thebeanogamer/hstsparser
Source:         %{url}/archive/%{version}/hstsparser-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  help2man

%py_provides python3-hstsparser


%description
Parse Firefox and Chrome HSTS databases into Digital Forensics artifacts.


%prep
%autosetup -p1 -n hstsparser-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

# Fix command name in manpage
ln -s hstsparser.py hstsparser
# hstsparser finds the version number by checking the installed package
# The package isn't installed during the RPM build, so we override the version number on the man page with the one from the RPM
help2man -N ./hstsparser -o hstsparser.1 --version-string='%{version}'
rm -f hstsparser


%install
%pyproject_install
%pyproject_save_files hstsparser
mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 0644 hstsparser.1 %{buildroot}%{_mandir}/man1/hstsparser.1


%check
%pyproject_check_import


%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/hstsparser
%{_mandir}/man1/hstsparser.1*


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 1.2.0-4
- Rebuilt for Python 3.12

* Tue Jun 20 2023 Daniel Milnes <daniel@daniel-milnes.uk> - 1.2.0-3
- Configure an issue_repository

* Tue Jun 20 2023 Daniel Milnes <daniel@daniel-milnes.uk> - 1.2.0-2
- Setup Packit

* Tue Jun 20 2023 Daniel Milnes <daniel@daniel-milnes.uk> - 1.2.0-1
- Initial import (fedora#2210561).
## END: Generated by rpmautospec
